webentwicklung-frage-antwort-db.com.de

Wie kann ich VS-Code mitteilen, welche Toolchain ich verwenden möchte?

Nach der Installation von Erweiterungen für Rust erhalte ich folgende Fehlermeldung:

Um ordnungsgemäß zu funktionieren, muss die Erweiterung wissen, welche Toolchain Sie verwenden Möchte benutzen.

28
MTech2008

Drücken Sie Schließen , um die Werkzeugkette auszuwählen :)

36

Die Erweiterung zeigt eine Eingabeaufforderung an, nachdem Sie die Eingabeaufforderung geschlossen haben. Hier können Sie die gewünschte Toolchain auswählen. Sie können die von Ihnen ausgewählte Toolchain in Ihrer Voreinstellungsdatei sehen.

6
mmstick

Wie die Nachricht sagt, müssen Sie eine Toolchain auswählen ( Dokumentation hier ):

$ rustup default stable

für den stabilen Rust oder

$ rustup default nightly

für die neueste Entwicklungsversion.

Wenn Sie nur mit Rust spielen möchten, empfehle ich Ihnen, den nächtlichen Rust zu verwenden, da er mehr Neues enthält.

2
Darth Boiethios

Fügen Sie dies Ihrer Konfiguration mit der Toolchain hinzu, die Sie verwenden möchten, um sie in VS Code zu erzwingen:

"Rust.rustup": {
    "toolchain": "stable-x86_64-Apple-darwin"
  }
0
Ivan Temchenko